% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_explainer.R
\name{plot.surv_explainer}
\alias{plot.surv_explainer}
\title{Plot for surv_explainer object}
\usage{
\method{plot}{surv_explainer}(x, ...)
}
\arguments{
\item{x}{object of class "surv_explainer"}

\item{...}{other arguments for function \code{\link[survminer]{ggsurvplot}}}
}
\description{
Function plot for surv_explainer object visualise estimated survival curve of mean probabilities in chosen time points.
}
\examples{
\donttest{
library(survxai)
library(rms)
data("pbcTest")
data("pbcTrain")
predict_times <- function(model, data, times){
                  prob <- rms::survest(model, data, times = times)$surv
                  return(prob)
                  }
cph_model <- cph(Surv(years, status)~sex + bili + stage, data=pbcTrain, surv=TRUE, x = TRUE, y=TRUE)
surve_cph <- explain(model = cph_model, data = pbcTest[,-c(1,5)],
             y = Surv(pbcTest$years, pbcTest$status), predict_function = predict_times)
plot(surve_cph)
}
}
